=== debian/changelog ===
openjpeg2 (2.3.0.5-2+deb10u2+dde) unstable; urgency=medium

  * update

 -- Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>  Tue, 06 Jul 2021 10:13:52 +0800

openjpeg2 (2.3.0.5-2+deb10u2+dde) buster-security; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2016-9114

 -- wangpei <wangpei@uniontech.com>  Wed, 05 Jul 2021 17:59:23 +0800

openjpeg2 (2.3.0.4-1+eagle) unstable; urgency=medium

  * fix CVE-2020-27841 CVE-2020-27845 CVE-2020-27824 CVE-2020-27823

 -- zhouzilong <zhouzilong@uniontech.com>  Sat, 20 Feb 2021 11:00:34 +0800

openjpeg2 (2.3.0.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild

 -- zhouzilong <zhouzilong@uniontech.com>  Sun, 05 Jul 2020 16:18:55 +0800
